<footer class="main-footer">
  <div class="float-right d-none d-sm-block">
    <b>Version</b> 2.1.1
  </div>
  <strong>Copyright &copy; 2021 <a href="https://adminlte.io">Desa Cantik-Sroyo</a>.</strong> by TIM Desa Cantik BPS Karanganyar.
</footer>

<!-- Control Sidebar -->
<aside class="control-sidebar control-sidebar-dark">
  <!-- Control sidebar content goes here -->
</aside>
<!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->


<!-- jQuery -->
<script src="<?= base_url('assets/'); ?>plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="<?= base_url('assets/'); ?>plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- overlayScrollbars -->
<script src="<?= base_url('assets/'); ?>plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="<?= base_url('assets/'); ?>plugins/datatables/jquery.dataTables.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/jszip/jszip.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/pdfmake/pdfmake.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/pdfmake/vfs_fonts.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- Select2 -->
<script src="<?= base_url('assets/'); ?>plugins/select2/js/select2.full.min.js"></script>
<!-- chart -->
<script src="<?= base_url('assets/'); ?>plugins/chart.js/Chart.min.js"></script>
<!-- chart -->
<script src="<?= base_url('assets/'); ?>plugins/chart.js/chartjs-plugin-labels.js"></script>
<!-- Bootstrap4 Duallistbox -->
<script src="<?= base_url('assets/'); ?>plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
<!-- InputMask -->
<script src="<?= base_url('assets/'); ?>plugins/moment/moment.min.js"></script>
<script src="<?= base_url('assets/'); ?>plugins/inputmask/jquery.inputmask.min.js"></script>
<!-- date-range-picker -->
<script src="<?= base_url('assets/'); ?>plugins/daterangepicker/daterangepicker.js"></script>
<!-- bootstrap color picker -->
<script src="<?= base_url('assets/'); ?>plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="<?= base_url('assets/'); ?>plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
<!-- Bootstrap Switch -->
<script src="<?= base_url('assets/'); ?>plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
<!-- BS-Stepper -->
<script src="<?= base_url('assets/'); ?>plugins/bs-stepper/js/bs-stepper.min.js"></script>
<!-- dropzonejs -->
<script src="<?= base_url('assets/'); ?>plugins/dropzone/min/dropzone.min.js"></script>

<!-- AdminLTE App -->
<script src="<?= base_url('assets/'); ?>dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<!-- <script src="<?= base_url('assets/'); ?>dist/js/demo.js"></script> -->

<!--  -->
<script>
  //delete arsip
  $('.simkk').on('click', function(e) {
    e.preventDefault();

    const href = $(this).attr('href');
    swal({
      title: "Apakah Anda Yakin",
      text: "Data Sudah Benar?",
      type: "warning",
      showCancelButton: true,
      confirmButtonClass: "btn-danger",
      confirmButtonText: "Ya",
      cancelButtonText: "Batal",

    }).then((result) => {
      if (result.value) {
        document.location.href = href;
      }
    });
  });
</script>
<script>
  $(document).ready(function() {
    var url = window.location;

    // for sidebar menu entirely but not cover treeview
    $('ul.nav-sidebar a').filter(function() {
      return this.href == url;
    }).addClass('active');

    // for treeview
    $('ul.nav-treeview a').filter(function() {
      return this.href == url;
    }).parentsUntil(".nav-sidebar > .nav-treeview").addClass('menu-open').prev('a').addClass('active');
  });
</script>
<script>
  $(document).ready(function() {
    $("#table-kk").DataTable({

      "responsive": true,
      "lengthChange": false,
      orderCellsTop: true,
      fixedHeader: false,
      scrollY: false,
      scrollX: true,
      AutoWidth: true,
      // // scrollCollapse: false,

      fixedColumns: true,
      language: {
        "lengthMenu": "Menampilkan _MENU_ data per halaman",
        "zeroRecords": "Tidak ada data",
        "info": "Menampilkan halaman _PAGE_ dari _PAGES_",
        "infoEmpty": "Tidak ada data tersedia",
        "infoFiltered": "(Disaring dari _MAX_ data total)",
        "decimal": "",
        "emptyTable": "Tidak ada data tersedia",
        "loadingRecords": "Memuat...",
        "processing": "Memproses...",
        "search": "Pencarian:",
        "paginate": {
          "first": "Pertama",
          "last": "Terakhir",
          "next": "Selanjutnya",
          "previous": "Sebelumnya"
        },
        "aria": {
          "sortAscending": ": klik untuk mengurutkan A-Z",
          "sortDescending": ": klik untuk mengurutkan Z-A"
        }
      },
      lengthMenu: [
        [5, 10, 25, 50, -1],
        ['5 Baris', '10 Baris', '25 Baris', '50 Baris', 'Semua']
      ],
      "order": [0, "asc"],
      columnDefs: [{
        "searchable": false,
        "orderable": false,
        "targets": 10,
      }],
      // "dom": 'Bfrtip',
      buttons: [{
          extend: 'pageLength'
        },
        {
          extend: 'copy',
          orientation: 'landscape',
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]
          }
        },
        {
          extend: 'pdf',
          orientation: 'landscape',
          pageSize: 'LEGAL',
          download: 'open',
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]
          }
        },
        {
          extend: 'excel',
          autoFilter: true,
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]
          }
        },
        {
          extend: 'csv',
          autoFilter: true,
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]
          }
        },
        {
          extend: 'colvis',
          columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]
        }
      ],
    }).buttons().container().appendTo('#table-kk_wrapper .col-md-6:eq(0)');

  });
</script>
<script>
  $(document).ready(function() {
    $("#table-kk2").DataTable({
      "responsive": true,
      "lengthChange": false,
      orderCellsTop: true,
      fixedHeader: false,
      scrollY: false,
      scrollX: true,
      AutoWidth: true,
      // // scrollCollapse: false,

      fixedColumns: true,
      language: {
        "lengthMenu": "Menampilkan _MENU_ data per halaman",
        "zeroRecords": "Tidak ada data",
        "info": "Menampilkan halaman _PAGE_ dari _PAGES_",
        "infoEmpty": "Tidak ada data tersedia",
        "infoFiltered": "(Disaring dari _MAX_ data total)",
        "decimal": "",
        "emptyTable": "Tidak ada data tersedia",
        "loadingRecords": "Memuat...",
        "processing": "Memproses...",
        "search": "Pencarian:",
        "paginate": {
          "first": "Pertama",
          "last": "Terakhir",
          "next": "Selanjutnya",
          "previous": "Sebelumnya"
        },
        "aria": {
          "sortAscending": ": klik untuk mengurutkan A-Z",
          "sortDescending": ": klik untuk mengurutkan Z-A"
        }
      },
      lengthMenu: [
        [5, 10, 25, 50, -1],
        ['5 Baris', '10 Baris', '25 Baris', '50 Baris', 'Semua']
      ],
      "order": [0, "asc"],
      columnDefs: [{
        "searchable": false,
        "orderable": false,
        "targets": 11,
      }],
      // "dom": 'Bfrtip',
      buttons: [{
          extend: 'pageLength'
        },
        {
          extend: 'copy',
          orientation: 'landscape',
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
          }
        },
        {
          extend: 'pdf',
          orientation: 'landscape',
          pageSize: 'LEGAL',
          download: 'open',
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
          }
        },
        {
          extend: 'excel',
          autoFilter: true,
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
          }
        },
        {
          extend: 'csv',
          autoFilter: true,
          title: 'DAFTAR RUMAH TANGGA-KK',
          exportOptions: {
            columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
          }
        },
        {
          extend: 'colvis',
          columns: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
        }
      ],
    }).buttons().container().appendTo('#table-kk2_wrapper .col-md-6:eq(0)');
  })
</script>
<!-- <script>
  $(document).ready(function() {
    $("#table-kk").DataTable({

      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      language: {
        "lengthMenu": "Menampilkan _MENU_ data per halaman",
        "zeroRecords": "Tidak ada data",
        "info": "Menampilkan halaman _PAGE_ dari _PAGES_",
        "infoEmpty": "Tidak ada data tersedia",
        "infoFiltered": "(Disaring dari _MAX_ data totoal)",
        "decimal": "",
        "emptyTable": "Tidak ada data tersedia",
        "loadingRecords": "Memuat...",
        "processing": "Memproses...",
        "search": "Pencarian:",
        "paginate": {
          "first": "Pertama",
          "last": "Terakhir",
          "next": "Selanjutnya",
          "previous": "Sebelumnya"
        },
        "aria": {
          "sortAscending": ": klik untuk mengurutkan A-Z",
          "sortDescending": ": klik untuk mengurutkan Z-A"
        }
      },
      lengthMenu: [
        [10, 25, 50, -1],
        ['10 Baris', '25 Baris', '50 Baris', 'Semua']
      ],
      "dom": 'Bfrtip',
      "buttons": ["pageLength", "copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#table-kk_wrapper .col-md-6:eq(0)');

  });
</script> -->
<script>
  $(function() {
    //Initialize Select2 Elements
    $('.select2').select2()


  })
</script>
<script>
  $(document).ready(function() {
    // $('.kondisiatap').hide();
    var lhn = $("#lhn").attr('value')
    if (lhn == 1) {
      $('.bh').show();
    } else {
      $('.bh').hide();

    };
    $('#lhn').on('input', function() {
      if ($.trim(this.value) == 1)
        $('.bh').show();
      else
        $('.bh').hide();

    });
  });
</script>

<script>
  $(document).ready(function() {
    // $('.kondisiatap').hide();
    var kontap = $("#jenisatap").attr('value')
    if (kontap == 10 || kontap == 9 || kontap == 8) {
      $('.kondisi2').hide();

    } else {
      $('.kondisi2').show();
    };
    $('#jenisatap').on('input', function() {
      if ($.trim(this.value) == 8 || $.trim(this.value) == 9 || $.trim(this.value) == 10)
        $('.kondisi2').hide();

      else
        $('.kondisi2').show();
    });
  });
</script>
<script>
  $(document).ready(function() {
    // $('.kondisidinding').hide();
    var jending = $("#jenisdinding").attr('value')
    if (jending == 2 || jending == 1 || jending == 3) {
      $('.kondisi').show();
    } else {
      $('.kondisi').hide();
      // $('#kondisidinding').val(0);

    };

    $('#jenisdinding').on('input', function() {
      if ($.trim(this.value) == 1 || $.trim(this.value) == 2 || $.trim(this.value) == 3)
        $('.kondisi').show();
      else
        $('.kondisi').hide();
      // $('#kondisidinding').val(0);
    });
  });
</script>
<script>
  $(document).ready(function() {
    // $('.tes').hide();
    var stat = $("#status").attr('value')
    // alert(stat);
    if (stat == 1) {
      $('.tes').show();
    } else {
      $('.tes').hide();
      // $('#status2').val(0);
    };
    $('#status').on('input', function() {
      if ($.trim(this.value) == 1)
        $('.tes').show();
      else
        $('.tes').hide();

      // $('#status2').val(0);

    });
  });
</script>
<script>
  $(document).ready(function() {
    // $('.daya').hide();
    var dya = $("#sumberpen").attr('value')
    if (dya == 1) {
      $('.dya').show();
    } else {
      $('.dya').hide();
      // $('#daya').val(0);
    };
    $('#sumberpen').on('input', function() {
      if ($.trim(this.value) == 1)
        $('.dya').show();
      else
        $('.dya').hide();
      // $('#daya').val(0);
    });
  });
</script>
<script>
  $(document).ready(function() {
    // $('.jeniskloset').hide();
    var pgn = $("#pengguna").attr('value')
    if (pgn != 4) {
      $('.jnsklst').show();
    } else {
      $('.jnsklst').hide();
      // $('#jeniskloset').val(0);
    };
    $('#pengguna').on('input', function() {
      if ($.trim(this.value) != 4)
        $('.jnsklst').show();
      else
        $('.jnsklst').hide();
      // $('#jeniskloset').val(0);
    });
  });
</script>
<script>
  $(document).ready(function() {
    $('.pemilik').hide();

    $('#sts').on('input', function() {
      if ($.trim(this.value) == 2 || $.trim(this.value) == 3 || $.trim(this.value) == 4)
        $('.pemilik').show();
      else
        $('.pemilik').hide();
    });
  });
</script>
<script>
  $(document).ready(function() {
    $('.5thnn').hide();

    $('#umur').on('input', function() {
      if ($.trim(this.value) >= 5)
        $('.5thnn').show();
      else
        $('.5thnn').hide();
    });
  });
</script>
<script>
  $(document).ready(function() {
    $('.5thn').hide();

    $('#sekolah').on('input', function() {
      if ($.trim(this.value) == 1 || $.trim(this.value) == 2)
        $('.5thn').show();
      else
        $('.5thn').hide();
    });
  });
</script>
<script>
  $(document).ready(function() {
    $('.krja').hide();

    $('#kerja').on('input', function() {
      if ($.trim(this.value) == 1)
        $('.krja').show();
      else
        $('.krja').hide();
    });
  });
</script>
<!-- jquery blok 6 -->
<!-- <script>
  $(document).ready(function() {
    // var x = $('#sppt' + 1 + '').attr('value');
    $('#sppt' + 1 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 1 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 1 + '').show();
        else
          $('.nmshm' + 1 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 1 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 1 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 1 + '').show(),
        $('.nmshm' + 1 + '').show();
      else
        $('.spt' + 1 + '').hide(),
        $('.nmshm' + 1 + '').hide();
    });
    var sppt = $('#sppt' + 1 + '').attr('value')
    var haksertif = $('#haksertif' + 1 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 1 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 1 + '').show();
        else
          $('.nmshm' + 1 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 1 + '').show();
    } else {
      $('.spt' + 1 + '').hide();
    };
    var haksertif = $('#haksertif' + 1 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 1 + '').show();
    } else {
      $('.nmshm' + 1 + '').hide();
    };

    //pemisah antara kedua
    $('#sppt' + 2 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 2 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 2 + '').show();
        else
          $('.nmshm' + 2 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 1 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 2 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 2 + '').show(),
        $('.nmshm' + 2 + '').show();
      else
        $('.spt' + 2 + '').hide(),
        $('.nmshm' + 2 + '').hide();
    });
    var sppt = $('#sppt' + 2 + '').attr('value')
    var haksertif = $('#haksertif' + 2 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 2 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 2 + '').show();
        else
          $('.nmshm' + 2 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 2 + '').show();
    } else {
      $('.spt' + 2 + '').hide();
    };
    var haksertif = $('#haksertif' + 2 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 2 + '').show();
    } else {
      $('.nmshm' + 2 + '').hide();
    };
    //pemisah antara kedua
    $('#sppt' + 3 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 3 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 3 + '').show();
        else
          $('.nmshm' + 3 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 3 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 3 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 3 + '').show(),
        $('.nmshm' + 3 + '').show();
      else
        $('.spt' + 3 + '').hide(),
        $('.nmshm' + 3 + '').hide();
    });
    var sppt = $('#sppt' + 3 + '').attr('value')
    var haksertif = $('#haksertif' + 3 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 3 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 3 + '').show();
        else
          $('.nmshm' + 3 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 3 + '').show();
    } else {
      $('.spt' + 3 + '').hide();
    };
    var haksertif = $('#haksertif' + 3 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 3 + '').show();
    } else {
      $('.nmshm' + 3 + '').hide();
    };
    //pemisah antara kedua
    $('#sppt' + 2 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 2 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 2 + '').show();
        else
          $('.nmshm' + 2 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 1 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 2 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 2 + '').show(),
        $('.nmshm' + 2 + '').show();
      else
        $('.spt' + 2 + '').hide(),
        $('.nmshm' + 2 + '').hide();
    });
    var sppt = $('#sppt' + 2 + '').attr('value')
    var haksertif = $('#haksertif' + 2 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 2 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 2 + '').show();
        else
          $('.nmshm' + 2 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 2 + '').show();
    } else {
      $('.spt' + 2 + '').hide();
    };
    var haksertif = $('#haksertif' + 2 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 2 + '').show();
    } else {
      $('.nmshm' + 2 + '').hide();
    };
    //pemisah antara kedua
    $('#sppt' + 3 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 3 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 3 + '').show();
        else
          $('.nmshm' + 3 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 3 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 3 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 3 + '').show(),
        $('.nmshm' + 3 + '').show();
      else
        $('.spt' + 3 + '').hide(),
        $('.nmshm' + 3 + '').hide();
    });
    var sppt = $('#sppt' + 3 + '').attr('value')
    var haksertif = $('#haksertif' + 3 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 3 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 3 + '').show();
        else
          $('.nmshm' + 3 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 3 + '').show();
    } else {
      $('.spt' + 3 + '').hide();
    };
    var haksertif = $('#haksertif' + 3 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 3 + '').show();
    } else {
      $('.nmshm' + 3 + '').hide();
    };
    //pemisah antara kedua
    $('#sppt' + 4 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 4 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 4 + '').show();
        else
          $('.nmshm' + 4 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 4 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 4 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 4 + '').show(),
        $('.nmshm' + 4 + '').show();
      else
        $('.spt' + 4 + '').hide(),
        $('.nmshm' + 4 + '').hide();
    });
    var sppt = $('#sppt' + 4 + '').attr('value')
    var haksertif = $('#haksertif' + 4 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 4 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 4 + '').show();
        else
          $('.nmshm' + 4 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 4 + '').show();
    } else {
      $('.spt' + 4 + '').hide();
    };
    var haksertif = $('#haksertif' + 4 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 4 + '').show();
    } else {
      $('.nmshm' + 4 + '').hide();
    };
    //pemisah antara kedua
    $('#sppt' + 5 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 5 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 5 + '').show();
        else
          $('.nmshm' + 5 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 5 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 5 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 5 + '').show(),
        $('.nmshm' + 5 + '').show();
      else
        $('.spt' + 5 + '').hide(),
        $('.nmshm' + 5 + '').hide();
    });
    var sppt = $('#sppt' + 5 + '').attr('value')
    var haksertif = $('#haksertif' + 5 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 5 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 5 + '').show();
        else
          $('.nmshm' + 5 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 5 + '').show();
    } else {
      $('.spt' + 5 + '').hide();
    };
    var haksertif = $('#haksertif' + 5 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 5 + '').show();
    } else {
      $('.nmshm' + 5 + '').hide();
    };
    //pemisah antara kedua
    $('#sppt' + 6 + '').on('input', function() {
      var z = $.trim(this.value);
      $('#haksertif' + 6 + '').on('input', function() {
        if ($.trim(this.value) == 1 && z == 1)
          $('.nmshm' + 6 + '').show();
        else
          $('.nmshm' + 6 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      var y = $('#haksertif' + 6 + '').attr('value')
      if ($.trim(this.value) == 1)

        $('.spt' + 6 + '').show();
      else if ($.trim(this.value) == 1 && y == 1)
        $('.spt' + 6 + '').show(),
        $('.nmshm' + 6 + '').show();
      else
        $('.spt' + 6 + '').hide(),
        $('.nmshm' + 6 + '').hide();
    });
    var sppt = $('#sppt' + 6 + '').attr('value')
    var haksertif = $('#haksertif' + 6 + '').attr('value')
    if (sppt == 1) {
      $('#haksertif' + 6 + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.nmshm' + 6 + '').show();
        else
          $('.nmshm' + 6 + '').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      $('.spt' + 6 + '').show();
    } else {
      $('.spt' + 6 + '').hide();
    };
    var haksertif = $('#haksertif' + 6 + '').attr('value')
    if (haksertif == 1 && sppt == 1) {
      $('.nmshm' + 6 + '').show();
    } else {
      $('.nmshm' + 6 + '').hide();
    };

  });
</script> -->
<!-- script buat blok 6 -->
<script>
  $(document).ready(function() {
    var z = $('#lahan1').attr('value')
    for (let i = 1; i <= z; i++) {
      $('#sppt' + i + '').on('input', function() {
        var z = $.trim(this.value);
        $('#haksertif' + i + '').on('input', function() {
          if ($.trim(this.value) == 1 && z == 1)
            $('.nmshm' + i + '').show();
          else
            $('.nmshm' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
        var y = $('#haksertif' + 1 + '').attr('value')
        if ($.trim(this.value) == 1)

          $('.spt' + i + '').show();
        else if ($.trim(this.value) == 1 && y == 1)
          $('.spt' + i + '').show(),
          $('.nmshm' + i + '').show();
        else
          $('.spt' + i + '').hide(),
          $('.nmshm' + i + '').hide();
      });
      var sppt = $('#sppt' + i + '').attr('value')
      var haksertif = $('#haksertif' + i + '').attr('value')
      if (sppt == 1) {
        $('#haksertif' + i + '').on('input', function() {
          if ($.trim(this.value) == 1)
            $('.nmshm' + i + '').show();
          else
            $('.nmshm' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
        $('.spt' + i + '').show();
      } else {
        $('.spt' + i + '').hide();
      };
      var haksertif = $('#haksertif' + i + '').attr('value')
      if (haksertif == 1 && sppt == 1) {
        $('.nmshm' + i + '').show();
      } else {
        $('.nmshm' + i + '').hide();
      };
    };
  });
</script>

<!-- script buat blok 7 -->
<script>
  $(document).ready(function() {
    var z = $('#z').attr('value')
    //logika umur dan status perkawinan ke
    for (let i = 1; i <= z; i++) {
      $('.wnt' + i + '').hide();
      $('.5thnn' + i + '').hide();
      $('.5thn' + i + '').hide();
      $('#umur' + i + '').on('input', function() {
        var sts = $('#sts' + i + '').attr('value')
        var z = $.trim(this.value);
        $('#sts' + i + '').on('input', function() {
          if (z >= 10 && z <= 49 && $.trim(this.value) == 2)
            $('.pemilik' + i + '').show(),
            $('.5thnn' + i + '').show(),
            $('.wnt' + i + '').show();
          else if (z >= 10 && z <= 49 && $.trim(this.value) == 3)
            $('.pemilik' + i + '').show(),
            $('.5thnn' + i + '').show(),
            $('.wnt' + i + '').hide();
          else if (z >= 10 && z <= 49 && $.trim(this.value) != 2)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else if (z >= 50 && $.trim(this.value) == 2 && $.trim(this.value) == 3)
            $('.pemilik' + i + '').show(),
            $('.5thnn' + i + '').show(),
            $('.wnt' + i + '').hide();
          else if (z < 5 && $.trim(this.value) == 2 && $.trim(this.value) == 3)
            $('.pemilik' + i + '').hide(),
            $('.5thnn' + i + '').show(),
            $('.wnt' + i + '').hide();
          else if (z >= 5 && z < 10 && $.trim(this.value) != null)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else if (z < 5 && $.trim(this.value) != null)
            $('.pemilik' + i + '').hide(),
            $('.5thnn' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.5thnn' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
        if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts == 2)
          $('.pemilik' + i + '').show(),
          $('.5thnn' + i + '').show(),
          $('.wnt' + i + '').show();
        else if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts == 3)
          $('.pemilik' + i + '').show(),
          $('.5thnn' + i + '').show(),
          $('.wnt' + i + '').hide();
        else if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts != 4)
          $('.pemilik' + i + '').hide(),
          $('.5thnn' + i + '').show();
        else if ($.trim(this.value) >= 50 && sts == 2 && sts == 3)
          $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').hide();
        else if ($.trim(this.value) >= 5 && $.trim(this.value) < 10 && sts != null)
          $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').hide(),
          $('.wnt' + i + '').hide();
        else if ($.trim(this.value) < 5)
          $('.pemilik' + i + '').hide(),
          $('.5thnn' + i + '').hide(),
          $('.wnt' + i + '').hide();
        else
          $('.wnt' + i + '').hide(),
          $('.5thnn' + i + '').hide(),
          // $('.spt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      });
      var umur = $('#umur' + i + '').attr('value')
      var sts = $('#sts' + i + '').attr('value')
      if (umur >= 10 && umur <= 49) {
        // $('.pemilik' + i + '').show();
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) == 2)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').show();
          else if ($.trim(this.value) == 3)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').hide();
          else
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else if (umur >= 50) {
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) == 2 || $.trim(this.value) == 3)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else if (umur >= 5 && umur < 10) {
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) != 2)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else
            $('.5thnn' + i + '').hide(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else {
        $('.wnt' + i + '').hide(),
          $('.5thnn' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      };
      if (umur >= 10 && umur <= 49 && sts == 2) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').show();
      } else if (umur >= 10 && umur <= 49 && sts == 3) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').hide();
      } else if (umur >= 10 && umur <= 49 && sts != 2) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').hide(),
          $('.wnt' + i + '').hide();
      } else if (umur >= 50 & sts == 2 || sts == 3) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').hide();
      } else if (umur >= 5 && umur < 10 && sts != 2) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').hide(),
          $('.wnt' + i + '').hide();
      } else {
        $('.5thnn' + i + '').hide(),
          $('.wnt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      };

    };
    //lanjutan kolom partisipasi sekolah
    for (let i = 1; i <= z; i++) {
      $('.5thn' + i + '').hide();
      var thnn = $('#sekolah' + i + '').attr('value')
      if (thnn == 1 || thnn == 2) {
        $('.5thn' + i + '').show();
      } else {
        $('.5thn' + i + '').hide();
      };
      $('#sekolah' + i + '').on('input', function() {
        if ($.trim(this.value) == 1 || $.trim(this.value) == 2)
          $('.5thn' + i + '').show();
        else
          $('.5thn' + i + '').hide();
        // $('.nmshm' + i + '').hide();
      });
    };
    //lanjutan kolom bekerja/tidak
    for (let i = 1; i <= z; i++) {
      $('.krja' + i + '').hide();
      var thnn = $('#kerja' + i + '').attr('value')
      if (thnn == 1) {
        $('.krja' + i + '').show();
      } else {
        $('.krja' + i + '').hide();
      };
      $('#kerja' + i + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.krja' + i + '').show();
        else
          $('.krja' + i + '').hide();
        // $('.nmshm' + i + '').hide();
      });
    };
    //lanjutan kolom kedudukan bekerja
    for (let i = 1; i <= z; i++) {
      $('.jp' + i + '').hide();
      var thnn = $('#statkerja' + i + '').attr('value')
      if (thnn == 1 || thnn == 2 || thnn == 3) {
        $('.jp' + i + '').show(),
          $('.k' + i + '').hide();
      } else {
        $('.k' + i + '').show(),
          $('.jp' + i + '').hide();
      };
      $('#statkerja' + i + '').on('input', function() {
        if ($.trim(this.value) == 1 || $.trim(this.value) == 2 || $.trim(this.value) == 3)
          $('.jp' + i + '').show(),
          $('.k' + i + '').hide();
        else
          $('.k' + i + '').show(),
          $('.jp' + i + '').hide();
        // $('.nmshm' + i + '').hide();
      });
    };
  });
</script>
<script>
  $(document).ready(function() {
    var z = $('#agt1').attr('value')
    //logika umur dan status perkawinan ke

    $('.wnt').hide();
    $('.5thnn').hide();
    $('.5thn').hide();
    $('#umur').on('input', function() {
      var sts = $('#sts').attr('value')
      var z = $.trim(this.value);
      $('#sts').on('input', function() {
        if (z >= 10 && z <= 49 && $.trim(this.value) == 2)
          $('.pemilik').show(),
          $('.5thnn').show(),
          $('.wnt').show();
        else if (z >= 10 && z <= 49 && $.trim(this.value) == 3)
          $('.pemilik').show(),
          $('.5thnn').show(),
          $('.wnt').hide();
        else if (z >= 10 && z <= 49 && $.trim(this.value) != 2)
          $('.5thnn').show(),
          $('.pemilik').hide(),
          $('.wnt').hide();
        else if (z >= 50 && $.trim(this.value) == 2 && $.trim(this.value) == 3)
          $('.pemilik').show(),
          $('.5thnn').show(),
          $('.wnt').hide();
        else if (z >= 5 && z < 10 && $.trim(this.value) != null)
          $('.5thnn').show(),
          $('.pemilik').hide(),
          $('.wnt').hide();
        else if (z < 5 && $.trim(this.value) != null)
          $('.pemilik').hide(),
          $('.5thnn').hide(),
          $('.wnt').hide();
        else
          $('.pemilik').hide(),
          $('.5thnn').hide(),
          $('.wnt').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
      if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts == 2)
        $('.pemilik').show(),
        $('.5thnn').show(),
        $('.wnt').show();
      else if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts == 3)
        $('.pemilik').show(),
        $('.5thnn').show(),
        $('.wnt').hide();
      else if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts != 4)
        $('.pemilik').hide(),
        $('.5thnn').show();
      else if ($.trim(this.value) >= 50 && sts == 2 && sts == 3)
        $('.5thnn').show(),
        $('.pemilik').show(),
        $('.wnt').hide();
      else if ($.trim(this.value) >= 5 && $.trim(this.value) < 10 && sts != null)
        $('.5thnn').show(),
        $('.pemilik').hide(),
        $('.wnt').hide();
      else if ($.trim(this.value) < 5)
        $('.pemilik').hide(),
        $('.5thnn').hide(),
        $('.wnt').hide();
      else
        $('.wnt').hide(),
        $('.5thnn').hide(),
        // $('.spt').hide(),
        $('.pemilik').hide();
    });
    var umur = $('#umur').attr('value')
    var sts = $('#sts').attr('value')
    if (umur >= 10 && umur <= 49) {
      // $('.pemilik').show();
      $('#sts').on('input', function() {
        if ($.trim(this.value) == 2)
          $('.5thnn').show(),
          $('.pemilik').show(),
          $('.wnt').show();
        else if ($.trim(this.value) == 3)
          $('.5thnn').show(),
          $('.pemilik').show(),
          $('.wnt').hide();
        else
          $('.5thnn').show(),
          $('.pemilik').hide(),
          $('.wnt').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
    } else if (umur >= 50) {
      $('#sts').on('input', function() {
        if ($.trim(this.value) == 2 || $.trim(this.value) == 3)
          $('.5thnn').show(),
          $('.pemilik').show(),
          $('.wnt').hide();
        else
          $('.pemilik').hide(),
          $('.wnt').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
    } else if (umur >= 5 && umur < 10) {
      $('#sts').on('input', function() {
        if ($.trim(this.value) != 2)
          $('.5thnn').show(),
          $('.pemilik').hide(),
          $('.wnt').hide();
        else
          $('.5thnn').hide(),
          $('.pemilik').hide(),
          $('.wnt').hide();
        // $('#nmhak' + 1 + '').attr('value', '0');
      });
    } else {
      $('.wnt').hide(),
        $('.5thnn').hide(),
        $('.pemilik').hide();
    };
    if (umur >= 10 && umur <= 49 && sts == 2) {
      $('.5thnn').show(),
        $('.pemilik').show(),
        $('.wnt').show();
    } else if (umur >= 10 && umur <= 49 && sts == 3) {
      $('.5thnn').show(),
        $('.pemilik').show(),
        $('.wnt').hide();
    } else if (umur >= 10 && umur <= 49 && sts != 2) {
      $('.5thnn').show(),
        $('.pemilik').hide(),
        $('.wnt').hide();
    } else if (umur >= 50 & sts == 2 || sts == 3) {
      $('.5thnn').show(),
        $('.pemilik').show(),
        $('.wnt').hide();
    } else if (umur >= 5 && umur < 10 && sts != 2) {
      $('.5thnn').show(),
        $('.pemilik').hide(),
        $('.wnt').hide();
    } else {
      $('.5thnn').hide(),
        $('.wnt').hide(),
        $('.pemilik').hide();
    };


    //lanjutan kolom partisipasi sekolah

    $('.5thn').hide();
    var thnn = $('#sekolah').attr('value')
    if (thnn == 1 || thnn == 2) {
      $('.5thn').show();
    } else {
      $('.5thn').hide();
    };
    $('#sekolah').on('input', function() {
      if ($.trim(this.value) == 1 || $.trim(this.value) == 2)
        $('.5thn').show();
      else
        $('.5thn').hide();
      // $('.nmshm').hide();
    });

    //lanjutan kolom bekerja/tidak

    $('.krja').hide();
    var thnn = $('#kerja').attr('value')
    if (thnn == 1) {
      $('.krja').show();
    } else {
      $('.krja').hide();
    };
    $('#kerja').on('input', function() {
      if ($.trim(this.value) == 1)
        $('.krja').show();
      else
        $('.krja').hide();
      // $('.nmshm').hide();
    });

    //lanjutan kolom kedudukan bekerja

    $('.jp').hide();
    var thnn = $('#statkerja').attr('value')
    if (thnn == 1 || thnn == 2 || thnn == 3) {
      $('.jp').show(),
        $('.k').hide();
    } else {
      $('.k').show(),
        $('.jp').hide();
    };
    $('#statkerja').on('input', function() {
      if ($.trim(this.value) == 1 || $.trim(this.value) == 2 || $.trim(this.value) == 3)
        $('.jp').show(),
        $('.k').hide();
      else
        $('.k').show(),
        $('.jp').hide();
      // $('.nmshm').hide();
    });

  });
</script>
<!-- <script>
  $(document).ready(function() {
    var z = $('#agt1').attr('value')
    //logika umur dan status perkawinan ke
    for (let i = 1; i <= z; i++) {
      $('.wnt' + i + '').hide();
      $('.5thnn' + i + '').hide();
      $('.5thn' + i + '').hide();
      $('#umur' + i + '').on('input', function() {
        var sts = $('#sts' + i + '').attr('value')
        var z = $.trim(this.value);
        $('#sts' + i + '').on('input', function() {
          if (z >= 10 && z <= 49 && $.trim(this.value) == 2)
            $('.pemilik' + i + '').show(),
            $('.5thnn' + i + '').show(),
            $('.wnt' + i + '').show();
          else if (z >= 50 && $.trim(this.value) == 2 && $.trim(this.value) == 3)
            $('.pemilik' + i + '').show(),
            $('.5thnn' + i + '').show(),
            $('.wnt' + i + '').hide();
          else if (z >= 5 && z < 10 && $.trim(this.value) != null)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else if (z < 5 && $.trim(this.value) != null)
            $('.pemilik' + i + '').hide(),
            $('.5thnn' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.5thnn' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
        if ($.trim(this.value) >= 5)

          $('.5thnn' + i + '').show();
        else if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts == 2)
          $('.pemilik' + i + '').show(),
          $('.5thnn' + i + '').show(),
          $('.wnt' + i + '').show();
        else if ($.trim(this.value) >= 50 && sts == 2 && sts == 3)
          $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').hide();
        else if ($.trim(this.value) >= 5 && $.trim(this.value) < 10 && sts != null)
          $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').hide(),
          $('.wnt' + i + '').hide();
        else if ($.trim(this.value) < 5)
          $('.5thnn' + i + '').hide(),
          $('.pemilik' + i + '').hide(),
          $('.wnt' + i + '').hide();
        else
          $('.wnt' + i + '').hide(),
          // $('.spt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      });
      var umur = $('#umur' + i + '').attr('value')
      var sts = $('#sts' + i + '').attr('value')
      if (umur >= 5) {
        $('.5thnn' + i + '').show();

      } else if (umur >= 10 && umur <= 49) {
        // $('.pemilik' + i + '').show();
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) == 2)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').show();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else if (umur >= 50) {
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) == 2 || $.trim(this.value) == 3)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else if (umur >= 5 && umur < 10) {
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) != 2)
            $('.5thnn' + i + '').show(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else
            $('.5thnn' + i + '').hide(),
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else {
        $('.wnt' + i + '').hide(),
          $('.5thnn' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      };
      if (umur >= 5) {
        $('.5thnn' + i + '').show();
      }
      if (umur >= 10 && umur <= 49 && sts == 2) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').show();
      } else if (umur >= 50 & sts == 2 || sts == 3) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').hide();

      } else if (umur >= 5 && umur < 10 && sts != 2) {
        $('.5thnn' + i + '').show(),
          $('.pemilik' + i + '').hide(),

          $('.wnt' + i + '').hide();
      } else {
        $('.5thnn' + i + '').hide(),
          $('.wnt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      };
      //lanjutan

    };
    for (let i = 1; i <= z; i++) {
      $('.5thn' + i + '').hide();
      var thnn = $('#5thnn' + i + '').attr('value')
      if (thnn == 1) {
        $('.5thn' + i + '').show();
      } else {
        $('.5thn' + i + '').hide();
      };
      $('#5thnn' + i + '').on('input', function() {
        if ($.trim(this.value) == 1)
          $('.5thn' + i + '').show();
        else
          $('.5thn' + i + '').hide();
        // $('.nmshm' + i + '').hide();
      });
    };

  });
</script> -->
<!-- <script>
  $(document).ready(function() {
    var z = $('#agt1').attr('value')
    //logika umur dan status perkawinan ke
    for (let i = 1; i <= z; i++) {
      $('.wnt' + i + '').hide();
      $('#umur' + i + '').on('input', function() {
        var sts = $('#sts' + i + '').attr('value')
        var z = $.trim(this.value);
        $('#sts' + i + '').on('input', function() {
          if (z >= 10 && z <= 49 && $.trim(this.value) == 2)
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').show();
          else if (z >= 50 && $.trim(this.value) == 2 || $.trim(this.value) == 3)
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').hide();
          else if (z < 10 && $.trim(this.value) != 2)
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
        if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts == 2)
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').show();
        else if ($.trim(this.value) >= 50 && sts == 2 || sts == 3)
          $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').hide();
        else if ($.trim(this.value) < 10 && sts != 2)
          $('.pemilik' + i + '').hide(),
          $('.wnt' + i + '').hide();
        else
          $('.wnt' + i + '').hide(),
          // $('.spt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      });
      var umur = $('#umur' + i + '').attr('value')
      var sts = $('#sts' + i + '').attr('value')
      if (umur >= 10 && umur <= 49) {
        // $('.pemilik' + i + '').show();
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) == 2)
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').show();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else if (umur >= 50) {
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) == 2 || $.trim(this.value) == 3)
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else if (umur < 10) {
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) != 2)
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else {
        $('.wnt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      };
      if (umur >= 10 && umur <= 49 && sts == 2) {
        $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').show();
      } else if (umur >= 50 & sts == 2 || sts == 3) {
        $('.pemilik' + i + '').show(),
          $('.wnt' + i + '').hide();

      } else if (umur < 10 && sts != 2) {
        $('.pemilik' + i + '').hide(),

          $('.wnt' + i + '').hide();
      } else {
        $('.wnt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      };
    };
  });
</script> -->
<script>
  $(document).ready(function() {
    $('.hslcacah').show();

    $('#hasil').on('input', function() {
      if ($.trim(this.value) == 1)
        $('.hslcacah').show();
      else
        $('.hslcacah').hide();
    });
  });
</script>

<!-- <script>
  $(document).ready(function() {
    var z = $('#agt1').attr('value')
    //logika umur dan status perkawinan ke
    for (let i = 1; i <= z; i++) {
      $('.wnt' + i + '').hide();
      $('#umur' + i + '').on('input', function() {
        var sts = $('#sts' + i + '').attr('value')
        var z = $.trim(this.value);
        $('#sts' + i + '').on('input', function() {
          if (z >= 10 && z <= 49 && $.trim(this.value) == 2)
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').show();
          else if (z >= 50 && $.trim(this.value) == 2 || $.trim(this.value) == 3)
            $('.pemilik' + i + '').show(),
            $('.wnt' + i + '').hide();
          else if (z < 10 && $.trim(this.value) != 2)
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          else
            $('.pemilik' + i + '').hide(),
            $('.wnt' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
        if ($.trim(this.value) >= 10 && $.trim(this.value) <= 49 && sts == 2 || sts == 3)
          $('.pemilik' + i + '').show();
        else
          // $('.spt' + i + '').hide(),
          $('.pemilik' + i + '').hide();
      });
      var umur = $('#umur' + i + '').attr('value')
      var sts = $('#sts' + i + '').attr('value')
      if (umur >= 10) {
        // $('.pemilik' + i + '').show();
        $('#sts' + i + '').on('input', function() {
          if ($.trim(this.value) == 2 || $.trim(this.value) == 3)
            $('.pemilik' + i + '').show();
          else
            $('.pemilik' + i + '').hide();
          // $('#nmhak' + 1 + '').attr('value', '0');
        });
      } else {
        $('.pemilik' + i + '').hide();
      };
      if (umur >= 10 && sts == 2 || sts == 3) {
        $('.pemilik' + i + '').show();
      } else {
        $('.pemilik' + i + '').hide();
      };
    };
  });
</script> -->
<script>
  // $(document).ready(function() {
  //   $('.wnt').hide();
  //   // var status = $('#sts').val();
  //   // if ($('#sts').val(status) == 2) {
  //   //   $('.wnt').show();
  //   $('#umur').on('input', function() {
  //     var sts = $.trim(this.value);
  //     $('#sts').on('input', function() {
  //       if ($.trim(this.value) == 2 && sts <= 49 && sts >= 10)
  //         $('.wnt').show();
  //       else
  //         $('.wnt').hide();
  //     });

  //   });

  //   // }
  // });
</script>




</body>

</html>